package com.jdc.jdcproject.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * <p>
 * 降水量表;
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
@TableName("diceke_precipitation")
@Schema(name = "DicekePrecipitation", description = "降水量表;")
public class DicekePrecipitation implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "主键")
    @TableId("PrecipID")
    private String precipID;

    @Schema(description = "降水量数值（毫米）")
    private String amount;

    @Schema(description = "计量单位（固定为“毫米”）")
    private String unit;

    @Schema(description = "日期")
    private LocalDateTime monthDate;

    public String getPrecipID() {
        return precipID;
    }

    public void setPrecipID(String precipID) {
        this.precipID = precipID;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public LocalDateTime getMonthDate() {
        return monthDate;
    }

    public void setMonthDate(LocalDateTime monthDate) {
        this.monthDate = monthDate;
    }

    @Override
    public String toString() {
        return "DicekePrecipitation{" +
        "precipID = " + precipID +
        ", amount = " + amount +
        ", unit = " + unit +
        ", monthDate = " + monthDate +
        "}";
    }
}
